Installing package fails for some packages but not others


#1

I am a newbie to Atom. I am trying to install a package at work (Windows 7) and it fails every time I’ve tried - including after rebooting Atom and the machine. I have installed the same package (version may be different - and on Linux Mint 17) and it worked just fine. Here is what happens:

Installing “asciidoc-preview@0.5.0” failed.Hide output…

npm WARN git config --get remote.origin.url returned wrong result (git://github.com/anthonny/opal-npm-wrapper.git)
npm ERR! git clone git://github.com/anthonny/opal-npm-wrapper.git Cloning into bare repository ‘C:\Users\c164033.atom.apm_git-remotes\git-github-com-anthonny-opal-npm-wrapper-git-10c5b7b0’…
npm ERR! git clone git://github.com/anthonny/opal-npm-wrapper.git fatal: read error: Invalid argument
npm ERR! Windows_NT 6.1.7601
npm ERR! argv “C:\Users\c164033\AppData\Local\atom\app-0.198.0\resources\app\apm\bin\\node.exe” “C:\Users\c164033\AppData\Local\atom\app-0.198.0\resources\app\apm\node_modules\npm\bin\npm-cli.js” “–globalconfig” “C:\Users\c164033\.atom\.apm\.apmrc” “–userconfig” “C:\Users\c164033\.atom\.apmrc” “install” “C:\Users\c164033\AppData\Local\Temp\d-115411-10060-18j2hho\package.tgz” “–target=0.22.0” “–arch=ia32” "–msvs_version=2013"
npm ERR! node v0.10.35
npm ERR! npm v2.5.1
npm ERR! code 128

npm ERR! Command failed: Cloning into bare repository ‘C:\Users\c164033.atom.apm_git-remotes\git-github-com-anthonny-opal-npm-wrapper-git-10c5b7b0’…
npm ERR! fatal: read error: Invalid argument
npm ERR!
npm ERR!
npm ERR! If you need help, you may report this error at:
npm ERR! http://github.com/npm/npm/issues

I am at a loss as to what I should do. I followed the link at the end of this error file, but not getting any love there. This is pretty frustrating. I am wondering if this is a firewall issue, though it does not look that way to me.